com.r3corda.core.contracts / ClientToServiceCommand

# ClientToServiceCommand

`sealed class ClientToServiceCommand`

A command from the monitoring client, to the node.

### Parameters

`id` - ID used to tag event(s) resulting from a command.

### Types

ExitCash | `class ExitCash : ClientToServiceCommand` Exit cash from the ledger.
IssueCash | `class IssueCash : ClientToServiceCommand` Issue cash state objects.
PayCash | `class PayCash : ClientToServiceCommand` Pay cash to someone else.

### Properties

id | `val id: UUID`

### Inheritors

ExitCash | `class ExitCash : ClientToServiceCommand` Exit cash from the ledger.
IssueCash | `class IssueCash : ClientToServiceCommand` Issue cash state objects.
PayCash | `class PayCash : ClientToServiceCommand` Pay cash to someone else.